# Uses of Class it.tdlight.jni.TdApi.BotInfo (TDLight API 4.0.458 API)
use: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: BotInfo

# Uses of Class
it.tdlight.jni.TdApi.BotInfo

## Uses of TdApi.BotInfo in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.BotInfo
Modifier and Type
Field
Description
`TdApi.BotInfo`
TdApi.UserFullInfo.`botInfo`
For bots, information about the bot; may be null if the user isn't a bot.
Constructors in it.tdlight.jni with parameters of type TdApi.BotInfo
Modifier
Constructor
Description
``
`UserFullInfo(TdApi.ChatPhoto personalPhoto, TdApi.ChatPhoto photo, TdApi.ChatPhoto publicPhoto, TdApi.BlockList blockList, boolean canBeCalled, boolean supportsVideoCalls, boolean hasPrivateCalls, boolean hasPrivateForwards, boolean hasRestrictedVoiceAndVideoNoteMessages, boolean hasPinnedStories, boolean needPhoneNumberPrivacyException, TdApi.FormattedText bio, TdApi.PremiumPaymentOption[] premiumGiftOptions, int groupInCommonCount, TdApi.BotInfo botInfo)`
Contains full information about a user.